REQUEST_ANY_CONTEXT_(9)

NAME
request_any_context_irq - allocate an interrupt line

SYNOPSIS

int request_any_context_irq(unsigned int irq, irq_handler_t handler, unsigned long flags, const char * name, void * dev_id);

ARGUMENTS

irq
    Interrupt line to allocate

handler
    Function to be called when the IRQ occurs. Threaded handler for threaded interrupts.

flags
    Interrupt type flags

name
    An ascii name for the claiming device

dev_id
    A cookie passed back to the handler function

DESCRIPTION

This call allocates interrupt resources and enables the interrupt line and IRQ handling. It selects either a hardirq or threaded handling method depending on the context.

On failure, it returns a negative value. On success, it returns either IRQC_IS_HARDIRQ or IRQC_IS_NESTED.

COPYRIGHT